Assets
List downloadable files for an asset
List downloadable files for an asset.
GET
/
v1
/
assets
/
{assetType}
/
{assetId}
/
artifacts
List downloadable files for an asset
curl --request GET \
--url https://api.mint.gg/v1/assets/{assetType}/{assetId}/artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mint.gg/v1/assets/{assetType}/{assetId}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mint.gg/v1/assets/{assetType}/{assetId}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}Authorizations
Mint API key sent as a Bearer token.
Path Parameters
Mint asset type whose artifact manifest should be resolved.
Available options:
world, model, asset_pack, material, material_pack, image, audio Mint asset ID owned by the authenticated account.
Response
Requested Mint resource.
The response is of type object.
Previous
Get an integration manifest with asset URLsReturns downloadable artifacts for ordinary assets. World manifests expose the streamed RAD file and collider under runtime.runtimeUrl and runtime.collider.runtimeUrl.
Next
⌘I
List downloadable files for an asset
